# Change the Quartz misfire threshold

With Quartz, sometimes scheduled jobs, transformations, or reports might try to run several times when they are manually stopped and restarted, instead of running only once. This is typically caused by the **misfireThreshold** property in Quartz being set at too high of a number.

These steps show how to reset the **misfireThresholdto** a lower numerical value.

1. Stop the Pentaho Server.
2. Locate the `/pentaho-server/pentaho-solutions/system/scheduler-plugin/quartz` directory.
3. Open the `quartz.properties` file with any text editor.
4. Find the property shown below and change the default to a smaller number, such as `5000`. The default value represents the number of milliseconds.

   ```
   org.quartz.jobStore.misfireThreshold = 60000
   ```
5. Save and close the `quartz.properties` file.
6. Start the Pentaho Server.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pentaho.com/pdia-admin/10.2-admin/manage-the-pentaho-system/manage-the-pentaho-server/customize-the-pentaho-server/change-the-quartz-misfire-threshold.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
